GCLOUD_COMPUTE_DISKS_SNAPSHOT(1)

NAME

gcloud compute disks snapshot - create snapshots of Google Compute Engine persistent disks

SYNOPSIS

gcloud compute disks snapshot DISK_NAME [DISK_NAME ...] [--async] [--csek-key-file=FILE] [--description=DESCRIPTION] [--guest-flush] [--snapshot-names=SNAPSHOT_NAME,[SNAPSHOT_NAME,...]] [--zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Create snapshots of Google Compute Engine persistent disks. gcloud compute disks snapshot creates snapshots of persistent disks. Snapshots are useful for backing up data or copying a persistent disk. Once created, snapshots may be managed (listed, deleted, etc.) via gcloud compute snapshots.

POSITIONAL ARGUMENTS

    DISK_NAME [DISK_NAME ...]
        The names of the disks.

FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --csek-key-file=FILE
        Path to a Customer-Supplied Encryption Key (CSEK) key file, mapping Google Compute Engine resources to user managed keys to be used when creating, mounting, or snapshotting disks. See https://cloud.google.com/compute/docs/disks/customer-supplied-encryption for more details.

    --description=DESCRIPTION
        An optional, textual description for the snapshots being created.

    --guest-flush
        Create an application consistent snapshot by informing the OS to prepare for the snapshot process. Currently only supported on Windows instances using the Volume Shadow Copy Service (VSS).

    --snapshot-names=SNAPSHOT_NAME,[SNAPSHOT_NAME,...]
        Names to assign to the snapshots. Without this option, the name of each snapshot will be a random, 16-character hexadecimal number that starts with a letter. The values of this option run parallel to the disks specified. For example,
        $ gcloud compute disks snapshot my-disk-1 my-disk-2 my-disk-3 \
            --snapshot-names snapshot-1,snapshot-2,snapshot-3
    will result in my-disk-1 being snapshotted as snapshot-1, my-disk-2 as snapshot-2, and so on.

    --zone=ZONE
        The zone of the disk to operate on. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.